Remote access entry null terminated string that contains the password. On a read a NULL string will be returned for security reasons.
Sources for this description
IBM MIB copies (LibreNMS/Observium Community)IBM MIB copies (MibBrowser.online)
OID reference
1.3.6.1.4.1.2.3.51.3.3.1.4.1.1.3
Remote access entry null terminated string that contains the password. On a read a NULL string will be returned for security reasons.
Identification
{1 3 6 1 4 1 2 3 51 3 3 1 4 1 1 3}
Definitions may combine these properties differently.
At least one MIB declaration places this object in a table row. A value belongs to a row instance; its suffix depends on the row's INDEX or AUGMENTS definition.
In IMM-MIB, the row index remoteAccessIdEntryIndex is declared as INTEGER. A non-negative index value is encoded as one numeric subidentifier. An instance has the form .1.3.6.1.4.1.2.3.51.3.3.1.4.1.1.3.<remoteAccessIdEntryIndex>. Use an index value actually present on the device and permitted by its MIB. Other definitions can differ.
snmpwalk [connection options] DEVICE .1.3.6.1.4.1.2.3.51.3.3.1.4.1.1.3
Replace the placeholders with your connection and authentication options. Available permissions and device support can differ from the MIB.
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
Available source records contain 2 distinct definitions; some records may not include a definition.
remoteAccessIdEntryPassword OBJECT-TYPE
SYNTAX OCTET STRING(SIZE(0..16))
ACCESS read-write
STATUS mandatory
DESCRIPTION
"Remote access entry null terminated string that
contains the password. On a read a NULL string
will be returned for security reasons."
::= { remoteAccessIdsEntry 3 }remoteAccessIdEntryPassword OBJECT-TYPE
SYNTAX OCTET STRING(SIZE(0..20))
ACCESS read-write
STATUS mandatory
DESCRIPTION
"Remote access entry null terminated string that
contains the password. On a read a NULL string
will be returned for security reasons."
::= { remoteAccessIdsEntry 3 }
Meaning
Identical descriptions are grouped. Different wording and device-specific notes are retained.
Remote access entry null terminated string that contains the password. On a read a NULL string will be returned for security reasons.
IBM MIB copies (LibreNMS/Observium Community)IBM MIB copies (MibBrowser.online)
Evidence
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Status in source: mandatory.
Names: remoteAccessIdEntryPassword
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"remoteAccessIdEntryPassword",
"OBJECT-TYPE",
"SYNTAX",
"OCTET",
"STRING",
"(",
"SIZE",
"(",
"0",
".",
".",
"16",
")",
")",
"ACCESS",
"read-write",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"Remote access entry null terminated string that contains the password. On a read a NULL string will be returned for security reasons.\"",
"::=",
"{",
"remoteAccessIdsEntry",
"3",
"}"
],
"syntax_tree": [
[
"SimpleSyntax",
"OCTET STRING",
[
"octetStringSubType",
[
[
0,
16
]
]
]
],
null,
[
"MaxAccessPart",
"read-write"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"Remote access entry null terminated string that contains the password. On a read a NULL string will be returned for security reasons."
],
null,
null,
null,
null
]
}Vendor MIB copy from the MibBrowser.online archive. IBM (https://w3.ibm.com/standards ) support.
Module: IMM-MIB
See published definition above
{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'SNMPv2-TC': ['TEXTUAL-CONVENTION'], 'RFC1155-SMI': ['enterprises', 'IpAddress', 'Gauge'], 'RFC1213-MIB': ['DisplayString']}Related source files and packages:
Status in source: mandatory.
Names: remoteAccessIdEntryPassword
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"remoteAccessIdEntryPassword",
"OBJECT-TYPE",
"SYNTAX",
"OCTET",
"STRING",
"(",
"SIZE",
"(",
"0",
".",
".",
"20",
")",
")",
"ACCESS",
"read-write",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"Remote access entry null terminated string that contains the password. On a read a NULL string will be returned for security reasons.\"",
"::=",
"{",
"remoteAccessIdsEntry",
"3",
"}"
],
"syntax_tree": [
[
"SimpleSyntax",
"OCTET STRING",
[
"octetStringSubType",
[
[
0,
20
]
]
]
],
null,
[
"MaxAccessPart",
"read-write"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"Remote access entry null terminated string that contains the password. On a read a NULL string will be returned for security reasons."
],
null,
null,
null,
null
]
}Vendor MIB copy from the LibreNMS archive. IBM support.
Module: IMM-MIB
See published definition above
{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'RFC1155-SMI': ['enterprises', 'IpAddress', 'Gauge'], 'RFC1213-MIB': ['DisplayString']}Related source files and packages:
Vendor MIB copy from the Observium Community archive. IBM support.
Module: IMM-MIB
{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'RFC1155-SMI': ['enterprises', 'IpAddress', 'Gauge'], 'RFC1213-MIB': ['DisplayString']}Related source files and packages:
Registration
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.2.3.51.3.3.1.4.1.1.1 | remoteAccessIdEntryIndex | 0 | 0 | |
| 1.3.6.1.4.1.2.3.51.3.3.1.4.1.1.2 | remoteAccessIdEntryUserId | 0 | 0 | |
| 1.3.6.1.4.1.2.3.51.3.3.1.4.1.1.4 | remoteAccessIdEntryUserPwdLeftDays | 0 | 0 |